Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1099909 - RHEVM-PYTHON-SDK: branding issue in error messages
Summary: RHEVM-PYTHON-SDK: branding issue in error messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Juan Hernández
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-21 13:36 UTC by Ilia Meerovich
Modified: 2016-02-10 19:01 UTC (History)
10 users (show)

Fixed In Version: rhevm-sdk-python-3.5.0.0-2.el6_5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 21:13:42 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix the branding in error messages (deleted)
2014-05-21 14:56 UTC, Juan Hernández
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0183 normal SHIPPED_LIVE rhevm-sdk-python bug fix and enhancement update 2015-02-12 01:36:21 UTC

Description Ilia Meerovich 2014-05-21 13:36:12 UTC
imeerovi@imeerovi ~/git/ART (loginAsUser) $ rpm -q rhevm-cli
rhevm-cli-3.4.0.6-3.el6ev.noarch
imeerovi@imeerovi ~/git/ART (loginAsUser) $ /usr/bin/rhevm-shell -r -c -l https://127.0.0.1:443/api/ -u moo@boo -I  -S 3600 -d
  ================================================================================================================== ERROR ================================================================================================================
                                                                                        oVirt API connection failure, [Errno 111] Connection refused
  =========================================================================================================================================================================================================================================

  +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

                                                                                                           Welcome to RHEVM shell

  +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


[RHEVM shell (disconnected)]# 


It seems that the bug is in src/cli/context.py, in __error_to_string function you have incorrect error_patterns

Comment 1 Juan Hernández 2014-05-21 14:07:15 UTC
This is strange, that problem was fixed in version rhevm-cli-3.4.0.6-3.el6ev.noarch, the one that you are using. Please try to download the .rpm file and do the following:

  # rpm2cpio rhevm-cli-3.4.0.6-3.el6ev.noarch.rpm | cpio -di
  # vi ./usr/lib/python2.6/site-packages/cli/context.py

And check that, in line 202. Do you see there RHEV or oVirt?

Comment 2 Ilia Meerovich 2014-05-21 14:16:16 UTC
it comes from sdk now (and you have 2 more branding issues in sdk):

imeerovi@imeerovi /tmp $ grep -rn 'oVirt' /usr/lib/python2.6/site-packages/ovirtsdk/* | grep ERROR
/usr/lib/python2.6/site-packages/ovirtsdk/infrastructure/errors.py:26:        Exception.__init__(self, '[ERROR]::oVirt API connection failure, %s' % expect)
/usr/lib/python2.6/site-packages/ovirtsdk/infrastructure/errors.py:34:        Exception.__init__(self, '[ERROR]::oVirt sdk is disconnected from the server.')
/usr/lib/python2.6/site-packages/ovirtsdk/infrastructure/errors.py:92:        Exception.__init__(self, '[ERROR]::oVirt API request failure.' + self.__str__())
imeerovi@imeerovi /tmp $ rpm -q rhevm-sdk-python
rhevm-sdk-python-3.4.1.0-2.el6ev.noarch

Comment 3 Juan Hernández 2014-05-21 14:56:25 UTC
Created attachment 898044 [details]
Patch to fix the branding in error messages

Comment 5 Petr Beňas 2014-09-19 09:06:01 UTC
[root@pb-rh35 ~]# grep -rn 'oVirt' /usr/lib/python2.6/site-packages/ovirtsdk/* | grep ERROR
[root@pb-rh35 ~]# rpm -qa rhevm-cli
rhevm-cli-3.5.0.4-1.el6ev.noarch

Comment 8 errata-xmlrpc 2015-02-11 21:13:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0183.html


Note You need to log in before you can comment on or make changes to this bug.